/*%
   Default firmware and loader for ZTEX USB-FPGA Modules 2.04
   Copyright (C) 2009-2017 ZTEX GmbH.
   http://www.ztex.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 3 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, see http://www.gnu.org/licenses/.
%*/

#include[ztex-conf.h]	// Loads the configuration macros, see ztex-conf.h for the available macros
#include[ztex-utils.h]	// include basic functions and variables

// select ZTEX USB FPGA Module 2.04 as target  (required for FPGA configuration)
IDENTITY_UFM_2_04(10.19.0.0,0);	 

// this product string is also used for identification by the host software
#define[PRODUCT_STRING]["USB-FPGA Module 2.04 default FW"]

#define[D_RESET][IOA7]

#define[GPIO_CLK][IOC1]
#define[GPIO_DIR][IOC2]				// 1: C reads
#define[GPIO_DAT][IOC3]
#define[GPIO_RE][{OEC = OEC & ~bmBIT3;}]	// seen from C
#define[GPIO_WE][{OEC = OEC | bmBIT3;}]		// seen from C

#define[LSI_MISO][IOC4]
#define[LSI_MOSI][IOC5]
#define[LSI_CLK][IOC6]
#define[LSI_STOP][IOC7]

#define[OEA_MASK][bmBIT7] 
#define[OEA_UMASK][0]

#define[OEC_MASK][(bmBIT1 | bmBIT2 | bmBIT5 | bmBIT6 | bmBIT7)] 
#define[OEC_UMASK][(bmBIT4)] 

#define[OEE_MASK][0] 
#define[OEE_UMASK][0] 

#include[ztex-default.h]			// template for default firmware
